# Uses of Class
jdk.jshell.SourceCodeAnalysis

Packages that use SourceCodeAnalysis
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis in jdk.jshell

Methods in jdk.jshell that return SourceCodeAnalysis
Modifier and Type
Method
Description
`SourceCodeAnalysis`
JShell.`sourceCodeAnalysis()`
Access to source code analysis functionality.